Bug 1304696 - [UI] Add Object Storage - some configuration fields not considered/implemented
[UI] Add Object Storage - some configuration fields not considered/implemented
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Sankarshan Mukhopadhyay
Daniel Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 06:51 EST by Daniel Horák
Modified: 2016-11-13 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version: rhscon-ui-0.0.40-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Horák 2016-02-04 06:51:44 EST
Description of problem:
  There is lots of configuration options on "Add Object Storage" page, but most of them have no impact to the storage creation (they are not included in the POST Json request to create new storage).

Version-Release number of selected component (if applicable):
  rhscon-ceph-0.0.6-2.el7.x86_64
  rhscon-core-0.0.8-2.el7.x86_64
  rhscon-ui-0.0.11-1.el7.noarch


How reproducible:
  100%


Steps to Reproduce:
1. Install and configure machines for Ceph cluster and Sky Ring server.
2. Prepare cluster via Sky Ring web UI.
3. Go to the Storage -> Add Storage page, select "Object Storage" and continue to the Add Object Storage configuration page.
4. Try to change all of the available configuration fields.
5. Open "FireBug Console" or similar tool, to be able to analyze all the network requests.
6. Submit the request to create new storage.
  

Actual results:
  The submitted data json does not contain information from all of the configuration fields and some of the included parameters doesn't corresponds to the filed configuration.


Expected results:
  The storage is prepared accordingly to the configuration form.
  It is not possible to fill senseless values.


Additional info:
  It apply at least for following fields:
    Type
    Storage Profile
    Advanced Configuration
      Data-at-Rest Encryption
      Placement Groups
    Snapshots
      Enable Snapshots
      Schedule
    Quotas
      Enable Quotas
      Max percentage used
      Max number of objects
Comment 3 Daniel Horák 2016-07-22 06:45:55 EDT
Tested on USM Server (RHEL 7.2).
All editable values are present in submitted data (json) to skyring.

  rhscon-ceph-0.0.33-1.el7scon.x86_64
  rhscon-core-0.0.34-1.el7scon.x86_64
  rhscon-core-selinux-0.0.34-1.el7scon.noarch
  rhscon-ui-0.0.48-1.el7scon.noarch

>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.